# prometheus global config
global:
  scrape_interval:     15s
  evaluation_interval: 15s
  # scrape_timeout is set to the global default (10s).

  external_labels:
    monitor: codelab
    environment: Production
    service: Prometheus
    region: EU
    dc: eu-west-1

alerting:
  alertmanagers:
  - static_configs:
    - targets:
      - alerta-alertmanager:9093

rule_files:
  - "prometheus.rules.yml"

scrape_configs:
  # metrics_path defaults to '/metrics'
  # scheme defaults to 'http'.
  - job_name: prometheus

    scrape_interval: 5s
    scrape_timeout: 2s
    honor_labels: true

    static_configs:
      - targets: ['alerta-prometheus:9090']

  - job_name: plan-exporter

    scrape_interval: 5s
    scrape_timeout: 2s
    honor_labels: true

    static_configs:
      - targets: ['alerta-plan-exporter:2112']

  - job_name: alerta
    metrics_path: /api/management/metrics
    static_configs:
    - targets: ['alerta:8080']
    basic_auth:
      username: admin@alerta.io
      password: alerta
